Status: Closed   

Priority: Normal   

Assignee:    
Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1111254 Red Hat JIRA:  

Pull request:    

Description

There are some identifier inconsistencies in commands around puppet-modules:

hammer puppet-module list

# shows only UUIDs

 
hammer puppet-module info

# parameter --id actually requires UUID

 
hammer content-view puppet-module list

# shows both numeric (activerecord) id and UUID

 
hammer content-view puppet-module remove

# --id accepts numeric ids

 This is very confusing.

Associated revisions

Revision d93a8fb2 - 08/22/2014 10:30 AM - dustin tsang

Fixes #6291 - puppet module display and takes uuid

this changes puppet-module commands so they consistently display uuids

and take uuids for options. The database ids will be hidden and uuids

displaye dot users will be laelled as Ids. all the --id filags will

accept uuids.

History

#1 - 06/19/2014 02:58 PM - Tomáš Strachota

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1111254

#2 - 07/07/2014 11:26 AM - Eric Helms

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 08/15/2014 01:02 PM - Eric Helms

- Target version deleted (54)

#5 - 08/22/2014 11:01 AM - dustin tsang

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|d93a8fb27c7381a9b20c120188cfe3ec3b0bae1b.

#6 - 09/15/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
